Subject: bug#31451: closed (Re: bug#31451: Auctex view command for Zathura not operational when viewed .tex file has spaces in its name and synctex is used)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 May 2018 20:38:01 +0000

Your bug report

#31451: Auctex view command for Zathura not operational when viewed .tex file has spaces in its name and synctex is used

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31451: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31451
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31451: Auctex view command for Zathura not operational when viewed .tex file has spaces in its name and synctex is used
From: Arash Esbati <[email-masked]>
To: Arach Hirmanpour <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 May 2018 22:36:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arach Hirmanpour <[email-masked]> writes:

> *The issue :*
>
> When using Zathura as a viewer, Zathura fails to launch with the
> default View command defined by auctex in tex.el when both of the
> following  conditions are true :
>
> - synctex is used
>
> - the .tex file name has spaces in its filename
> [...]
> *The possible solution :*
>
> The problem is solved, as far as I can tell, by replacing %b with: \"%b\"

Hi Arach,

thanks for your report.  I've fixed this issue in AUCTeX git repo.

Best, Arash

Subject: Auctex view command for Zathura not operational when viewed .tex file has spaces in its name and synctex is used
From: Arach Hirmanpour <[email-masked]>
To: [email-masked]
Date: Mon, 14 May 2018 11:35:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

*The issue :*

When using Zathura as a viewer, Zathura fails to launch with the default 
View command defined by auctex in tex.el when both of the following  
conditions are true :

- synctex is used

- the .tex file name has spaces in its filename

*My config : *emacs 25.3.2 auctex 12.1.1 and Zathura 0.3.5 under 
elementaryos

The problem was reproduced on a fresh install of antergos with emacs 
25.3.1 auctex 12.1.1 and Zathura 0.3.9

*The possible cause :*

In tex.el Zathura is launched with the following parameters when using 
synctex :

     (mode-io-correlate " --synctex-forward %n:0:%b -x \"emacsclient 
+%{line} %{input}\""))

%b is the .tex filename, which is unquoted.

*
*

*The possible solution :*

The problem is solved, as far as I can tell, by replacing %b with: \"%b\"

Yours sincerely,

Arach HIRMANPOUR